<?php
# **********************************************************************************************
# phpLivePacker
#
# Copyright 2013 Christian Bartl (phplivepacker.bartlweb.net)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# This notice must appear in all copies of the script.


# index.php
#
# web based front end
# *********************************************************************************************
?>

<?php
	$conf = parse_ini_file('conf/phplivepacker.ini', TRUE);
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>phpLivePacker <?php echo $conf['general']['version']; ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
	<meta name="robots" content="noindex, nofollow" />
	<link rel="stylesheet" type="text/css" href="admin/css/style.css" />
</head>

<body>
    <div id="bw_page">		
	    <div id="bw_content">
	    	
	    	<h1>phpLivePacker <?php echo $conf['general']['version']; ?></h1>
	    	
	    	<h2>// sets</h2>
	    	<?php
	    		$sets = array();
	    		if ($handle = opendir('conf/sets/')) {	    			
    				while (false !== ($file = readdir($handle))) {
        				if (preg_match('/\.ini$/', $file)) {
            				$sets[] = str_replace('.ini', '', $file);
        				}
    				}
    				closedir($handle);
				}
				if(sizeof($sets) > 0) {
					echo '<ul class="bw_nolist">';
					foreach($sets as $set) {
						echo '<li>';
						echo htmlspecialchars($set);
						echo '<ul>';
						if($set == 'default') {
							echo '<li><a href="style.css">style.css</a> (<a href="phplivepacker.php?type=css&amp;set=default">phplivepacker.php?type=css&amp;set=default</a>)</li>';
							echo '<li><a href="script.js">script.js</a> (<a href="phplivepacker.php?type=js&amp;set=default">phplivepacker.php?type=js&amp;set=default</a>)</li>';
						} else {
							echo '<li><a href="style_' . htmlspecialchars($set) . '.css">style_' . htmlspecialchars($set) . '.css</a> (<a href="phplivepacker.php?type=css&amp;set=' . htmlspecialchars($set) . '">phplivepacker.php?type=css&amp;set=' . htmlspecialchars($set) . '</a>)</li>';
							echo '<li><a href="script_' . htmlspecialchars($set) . '.js">script_' . htmlspecialchars($set) . '.js</a> (<a href="phplivepacker.php?type=js&amp;set=' . htmlspecialchars($set) . '">phplivepacker.php?type=js&amp;set=' . htmlspecialchars($set) . '</a>)</li>';
						}
						echo '</ul>';
						echo '</li>';
					}
					echo '</ul>';
				} else {
					echo '<p>no sets configured yet</p>';
				}   	
	    	?>
	    	
	    	
	    	<h2>// syntax</h2>
	    	<ul class="bw_nolist">
				<li>
					style.css
					<ul>
						<li>style_[set].css</li>
						<li>style_[set]_v[counter].css</li>
					</ul>
				</li>		
				<li>
					script.js
					<ul>
						<li>script_[set].js</li>
						<li>script_[set]_v[counter].js</li>
					</ul>
				</li>
			</ul>
	    	
	    	<h2>// tools</h2>
			<ul class="bw_nolist">
				<li><a href="admin">admin interface</a></li>
				<li><a href="admin/testsuite/">test suite</a></li>
			</ul>
				
	    </div>
		<div id="bw_logo">
	        <a href="http://phplivepacker.bartlweb.net" title="phpLivePacker - Websites"><img src="admin/img/logo.gif" alt="phpLivePacker"/></a>
    	</div>
    </div>	
</body>
</html>